smlnj – 无法确定操作系统

当我去终端(我安装smlnj),我键入sml它给我的错误sml:无法确定架构/操作系统.这是什么意思???
我安装了这个 at this website的sml,但是我不确定 – 说明错了吗?
如果你使用的是OSX 10.8(uname -r给你一些从12开始的东西),那么SML / NJ的前110.75没有任何进一步的调整就不会太好.这是一个 known issue,可以通过将10.8选项(参见下面的12行)添加到.arch-n-opsys中的操作系统检测代码来修复:

:
    10*) OPSYS=darwin; HEAP_OPSYS=darwin ;; # MacOS X 10.6
    11*) OPSYS=darwin; HEAP_OPSYS=darwin ;; # MacOS X 10.7
    12*) OPSYS=darwin; HEAP_OPSYS=darwin ;; # MacOS X 10.8
    *)   exit 1;;
esac;;
相关文章
相关标签/搜索